##
##  fsl.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         fsl
Summary:      Fake/Flexible Syslog Library
URL:          http://www.ossp.org/pkg/lib/fsl/
Vendor:       The OSSP Project
Packager:     The OpenPKG Project
Distribution: OpenPKG [CORE]
Group:        System
License:      MIT-style
Version:      1.1.0
Release:      20030522

#   package options
%option       with_fsl_debuglogcode   no

#   list of sources
Source0:      ftp://ftp.ossp.org/pkg/lib/fsl/fsl-%{version}.tar.gz
Source1:      fsl.default

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20030103, gcc
PreReq:       OpenPKG, openpkg >= 20030103
AutoReq:      no
AutoReqProv:  no

%description
    OSSP fsl offers the syslog(3) API otherwise provided by the Standard C
    Library (libc). Instead of writing to the syslogd(8) process, it uses
    the powerful OSSP l2 logging capabilities. It is a drop-in link-time
    replacement which enables any syslog(3) consumer to take advantage of
    OSSP l2 by just linking this library in before libc. The program is
    intended to apply OSSP l2 functionality to existing syslog(3) based
    third-party programs without the requirement to change the source code
    of the program.

%prep
    %setup -q

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
%if "%{with_fsl_debuglogcode}" == "yes"
        --with-fsl-debuglogcode=yes \
        --with-fsl-debuglogfile=%{l_prefix}/var/fsl/debuglogfile \
        --with-fsl-debuglogmask=%{l_prefix}/var/fsl/debuglogmask \
%endif
        --disable-shared
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} install -c -s -m 755 \
        lib_l2/l2tool $RPM_BUILD_ROOT%{l_prefix}/bin/fsl-l2tool
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/fsl
    %{l_shtool} install -c -m 644 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE fsl.default} $RPM_BUILD_ROOT%{l_prefix}/etc/fsl/
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/var/fsl
    rm -f $RPM_BUILD_ROOT%{l_prefix}/lib/*.la
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/fsl/fsl.default'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

